=== debian/control ===
Source: ros-eloquent-tf2-py
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-lint-auto, ros-eloquent-geometry-msgs, ros-eloquent-python-cmake-module, ros-eloquent-tf2, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/tf2_py
Standards-Version: 3.9.2

Package: ros-eloquent-tf2-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-geometry-msgs, ros-eloquent-rclpy, ros-eloquent-tf2, ros-eloquent-ros-workspace
Description: The tf2_py package
